Application: gvSIG desktop - gvSIG bugs #246
DBF with long numeric fields are not displayed
02/03/2012 12:20 PM - Jorge Piera

Status: Closed % Done: 100%
Priority: Normal Spent time: 0.00 hour
Assignee: Jorge Piera

Category: Application

Target version: 2.0.0-alpha4

Severity: Add-on version: 2.0.0
gvSIG version: 2.0.0 Add-on build: 2043
gvSIG build: 2043 Add-on resolve version2.0.0
Operative System: Add-on resolve build: 2044
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

If the field of the DBF is a numeric field and its length is higer that 10 characters, the field is not displayed.

History

#1 - 02/03/2012 12:48 PM - Jorge Piera
- Status changed from New to Fixed

- % Done changed from 0 to 100

- Add-on version set to 2.0.0

- Add-on build set to 2043

- Add-on resolve version set to 2.0.0

- Add-on resolve build set to 2044

Integer. MAX_VALUE = 2"31-1 = 2.147.483.647

This constant is the maximum value that an integer can represent. If the DBF field has a length higher that 10, the values of the field can no be

represented.

I've fixed this behavior. If the field length is higher that 9, a LONG type is used instead of an Integer type.

gvsig-desktop:r37850
gvsig-desktop:r37851

#2 - 02/26/2014 12:35 PM - Alvaro Anguix
- Status changed from Fixed to Closed
